# Interface Items

#### Hierarchy

- Items

#####
Index

### Properties

disabled
endIcon
key
label
startIcon
type
variant

## Properties

### disabled

disabled: boolean

Specifies whether the menu item should be disabled.

### endIcon

endIcon: ItemsEndIcon

Specifies an icon to show at the end position of the menu item.

### key

key: string

Specifes a key value associated with the menu item.

### label

label: string

Specifies the text to show for the menu item.

### startIcon

startIcon: ItemsStartIcon

Specifies an icon to show at the start position of the menu item.

### type

type: string

Specifies the type of the menu item.

### variant

variant: string

Specifies styling for the menu item based upon its associated action.

Generated using TypeDoc